%define name gnomecatalog
%define version 0.2.1
%define release 2mdk
%define frel 1

Summary: CD-ROM catalog for GNOME
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}_%{version}-%frel.tar.bz2
License: GPL
Group: Archiving/Other
Url: http://gnomecatalog.sf.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
BuildRequires: ImageMagick
BuildArch: noarch
Requires: pygtk2.0 pygtk2.0-libglade gnome-python-gconf
Requires: gnome-python gnome-python-gnomevfs
Requires: gnome-python-gtkhtml2 python-sqlite2
Requires(post,postun): desktop-file-utils, shared-mime-info

%description
CD-ROM catalog for GNOME.

%prep
%setup -q -n %name

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root %buildroot
%find_lang %name
rm -rf %buildroot%_libdir/mime 
mkdir -p $RPM_BUILD_ROOT/%{_menudir}

cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
  needs="x11" section="Applications/Archiving/Other" title="GNOME Catalog" \
  longtitle="Make disk/CD catalogs" mimetypes="application/x-gnomecatalog"
EOF
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
convert -scale 32 share/pixmaps/gcatalog.png %buildroot%_iconsdir/%name.png
convert -scale 16 share/pixmaps/gcatalog.png %buildroot%_miconsdir/%name.png
install share/pixmaps/gcatalog.png %buildroot%_liconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
update-mime-database /usr/share/mime > /dev/null
update-desktop-database %_datadir/applications/


%postun
%clean_menus
update-mime-database /usr/share/mime > /dev/null
update-desktop-database %_datadir/applications/

%files -f %name.lang
%defattr(-,root,root)
%doc README
%_bindir/%name
%_datadir/%name
%_datadir/application-registry/*
%_datadir/applications/*
%_datadir/mime-info/*
%_datadir/mime/packages/*
%_datadir/icons/Default/48x48/mimetypes/gnome-mime-application-x-gcatalog.png
%_libdir/python%pyver/site-packages/%name
%_libdir/python%pyver/site-packages/mmpython
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Thu Jul 28 2005 Gtz Waschk <waschk@mandriva.org> 0.2.1-2mdk
- fix buildrequires

* Thu Jul 28 2005 Gtz Waschk <waschk@mandriva.org> 0.2.1-1mdk
- New release 0.2.1

* Tue Jul 26 2005 Götz Waschk <waschk@mandriva.org> 0.2.0-1mdk
- initial package
